Commit 3eacd5f9 authored by Natanael Copa's avatar Natanael Copa
Browse files

main/libssh2: upgrade to 1.8.2

fixes a regression introduced by the security update 1.8.1.

upstream issue: https://github.com/libssh2/libssh2/issues/336
downstream issue: https://github.com/gliderlabs/docker-alpine/issues/507
parent 4f69ccce
# Contributor: William Pitcock <nenolod@dereferenced.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libssh2
pkgver=1.8.1
pkgver=1.8.2
pkgrel=0
pkgdesc="library for accessing ssh1/ssh2 protocol servers"
url="https://libssh2.org/"
......@@ -25,11 +25,6 @@ builddir="$srcdir"/libssh2-$pkgver
# - CVE-2019-3862
# - CVE-2019-3863
prepare() {
cd "$builddir"
update_config_sub
}
build() {
cd "$builddir"
./configure \
......@@ -48,4 +43,4 @@ package() {
make DESTDIR="$pkgdir" install
}
sha512sums="f09ad9ed04d25305b966e7f8c210082fe06c2b236dcd5018b009bd0bd6aaff123d16559d280892a5060760ed055ffe295bc02dc6e8dd1e7b8383c6c703f09290 libssh2-1.8.1.tar.gz"
sha512sums="390ab4ad93bb738415ec11a6eb92806c9b9e9e5d8ee7c442d841a58b4292c1c447a9bc99e153ba464e2e11f9c0d1913469303598c3046722d1ae821991e8cb93 libssh2-1.8.2.tar.gz"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment